package com.prodhack.moscow2025.domain.usecase.resumes

import com.prodhack.moscow2025.domain.interfaces.resumes.ResumeRepository
import com.prodhack.moscow2025.domain.models.ResumeModel
import com.prodhack.moscow2025.domain.utils.RemotePagingWrapper
import org.koin.core.annotation.Single

@Single
class LoadResumeHistoryUseCase(
	private val resumeRepository: ResumeRepository
) {
	operator fun invoke(resumeId: String): RemotePagingWrapper<ResumeModel> =
		resumeRepository.loadResumeHistory(resumeId)
}
